MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024255Open CASCADE[OCCT] OCCT:Testspublic2013-10-11 12:302015-05-14 15:32
Reporterapn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0024255: Failure of some test cases on OCCT vc9 win64 Release
DescriptionThere are following failed test cases on OCCT x64:

bugs fclasses bug6143
//child killed: segmentation violation

offset wire_closed_inside_0_005 I8
//Error : The resulting shape is WRONG because it must contain 43 vertexes instead of 42
//Error : The resulting shape is WRONG because it must contain 43 edges instead of 42

offset wire_closed_inside_0_025 I8
//Error : The resulting shape is WRONG because it must contain 27 vertexes instead of 26
//Error : The resulting shape is WRONG because it must contain 27 edges instead of 26

offset wire_closed_inside_0_075 I8
//Error : The resulting shape is WRONG because it must contain 18 vertexes instead of 17
//Error : The resulting shape is WRONG because it must contain 18 edges instead of 17

boolean bsection R3
//The expected length is 1686.09
//Error : The length of the resulting shape is 3522.85

blend simple P5
//Faulty shapes in variables faulty_1 to faulty_2
Steps To ReproduceIs exist
Additional information
and documentation updates
The modifications of different algorithms were made mainly for remove munerical problems caused by 64-bit arithmetic

1) BRepLib_FindSurface.cxx

Method of solution of least square problem for definition of plane parameters was changed in order to avoid numerical instability.

2) BRepLib.cxx, method SetEdgeTol(...)

Small modification to prevent unjustified setting too large tolerance.

3) ChFi3d_Builder_0.cxx

Small correction of calculation of fillet tolerances (tolreached)

4) IntCurveCurve_ExactIntersectionPoint.gxx

Number of iteration for math_FunctionSetRoot is increased to provide solution with required tolerance.

5) IntCurve_IntPolyPolyGen.gxx

The method of precise definition of intersection point by dichotomy is added.

6) Some modifications in 2d offset algorithms dedicated to improvements of stability.

BRepMAT2d_Explorer.cxx
BRepOffsetAPI_MakeOffset.cxx
Bisector_Bisec.cxx
Bisector_BisecCC.cxx
Bisector_Inter.cxx
MAT2d_Mat2d.cxx
MAT2d_Tool2d.cxx
TagsNo tags attached.
Test case numberbugs fclasses bug6143; offset wire_closed_inside_0_005 I8; offset wire_closed_inside_0_025 I8; offset wire_closed_inside_0_075 I8; boolean bsection R3; blend simple P5
Attached Files7z file icon tests.7z (657 bytes) 2014-11-24 14:14

- Relationships
related to 0024954closedbugmaster Community BRepBuilderAPI_MakeFace adds wire with aribitary orientation 
related to 0024898closedbugmaster Open CASCADE Test "bugs modalg_1 buc60782_1" is incorrect 

-  Notes
(0027704)
abv (manager)
2014-01-30 14:08

Current master (version 6.7.0+) shows three more regressions:

bugs modalg_5 bug23952_1
see 0024500

bugs modalg_5 bug24359
it looks like 0024359 just has never been fixed...

offset faces_type_i C9
> Error : The area of face result_3 of the resulting shape is negative.
It may be improvement since two first TODOs are not present
(0028479)
abv (manager)
2014-03-26 09:28

On branch prepared for 6.7.1 (CR671, 4f93d2bea64af4fa85ab021347eb7dac1f7c354b), two tests from the above list are OK:

bugs modalg_5 bug24359
boolean bsection R3

Test case offset faces_type_i C9 is BAD (exception)
(0029557)
abv (manager)
2014-05-28 08:42

Current master (in addition to errors listed in description):

bugs modalg_2 bug23436 (exception)
bugs vis bug24376 (exception)
de step_4 G7 (error)
draft angle M2 (error -- big tolerance)
(0030708)
abv (manager)
2014-08-13 12:49

One more case fails on current master:

heal split_angle_advanced X3
(0032634)
git (administrator)
2014-10-03 14:37
edited on: 2014-10-06 14:39



(0032644)
git (administrator)
2014-10-03 15:17

Branch CR24255_Pln has been deleted by ifv.

SHA-1: 833ef03ac1b238aa318078b0a92756b6df560e9f
(0032645)
git (administrator)
2014-10-03 15:31
edited on: 2014-10-06 14:39



(0032687)
git (administrator)
2014-10-06 10:27
edited on: 2014-10-06 14:40



(0032708)
git (administrator)
2014-10-06 14:22

Branch CR24255_1 has been created by ifv.

SHA-1: ac2c4340dbe192c37e87c6104b53a3467fb34ff7


Detailed log of new commits:

Author: ifv
Date: Mon Oct 6 11:29:57 2014 +0400

    0024255: Regressions in test cases on OCCT vc9 win64 Release
(0032710)
ifv (developer)
2014-10-06 14:36

Branch CR24255_1 is ready
(0032711)
ifv (developer)
2014-10-06 14:37

Please test issue
(0032745)
mkv (tester)
2014-10-06 20:48

Dear BugMaster,
Branch CR24255_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: ac2c4340dbe192c37e87c6104b53a3467fb34ff7

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 202 (199 on master)

There are new additional compilation warinings on MacOS platform:
http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/job/mnt-CR24255_1-master_prepare_build_occt_MacOS/1/warnings6Result/package.25588680/ [^]
BRepLib_FindSurface.cxx:478, Clang (LLVM based), Priority: Normal
unused variable 'aFirstPnt'

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
http://occt-tests/CR24255-1-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR24255-1-master-occt/Windows-32-VC10/summary.html [^]
bugs modalg_5(010) bug25199, bug25298_09

http://occt-tests/CR24255-1-master-occt/Windows-32-VC10/draft/angle/M2.html [^]
draft angle(001) M2 - IMPROVEMENT only on Windows

http://occt-tests/CR24255-1-master-products/Debian60-64/summary.html [^]
http://occt-tests/CR24255-1-master-products/Windows-32-VC10/summary.html [^]
dxf doc_1(001) K6
dxf load(005) C3, C4, C5

Testing cases:
http://occt-tests/CR24255-1-master-occt/Windows-32-VC10/bugs/fclasses/bug6143.html [^]
bugs fclasses(002) bug6143: OK

http://occt-tests/CR24255-1-master-occt/Windows-32-VC10/offset/wire_closed_inside_0_005/I8.html [^]
http://occt-tests/CR24255-1-master-occt/Debian60-64/offset/wire_closed_inside_0_005/I8.html [^]
offset wire_closed_inside_0_005(010) I8: OK

http://occt-tests/CR24255-1-master-occt/Windows-32-VC10/offset/wire_closed_inside_0_025/I8.html [^]
http://occt-tests/CR24255-1-master-occt/Debian60-64/offset/wire_closed_inside_0_025/I8.html [^]
offset wire_closed_inside_0_025(011) I8: OK

http://occt-tests/CR24255-1-master-occt/Windows-32-VC10/offset/wire_closed_inside_0_075/I8.html [^]
http://occt-tests/CR24255-1-master-occt/Debian60-64/offset/wire_closed_inside_0_075/I8.html [^]
offset wire_closed_inside_0_075(012) I8: OK

http://occt-tests/CR24255-1-master-occt/Windows-32-VC10/boolean/bsection/R3.html [^]
http://occt-tests/CR24255-1-master-occt/Debian60-64/boolean/bsection/R3.html [^]
boolean bsection(015) R3: OK

http://occt-tests/CR24255-1-master-occt/Windows-32-VC10/blend/simple/P5.html [^]
http://occt-tests/CR24255-1-master-occt/Debian60-64/blend/simple/P5.html [^]
blend simple(001) P5: OK

Testing on Linux:
occt component :
Total MEMORY difference: 395828364 / 397911400
Total CPU difference: 45965.709999999875 / 47303.99000000024
products component :
Total MEMORY difference: 129008064 / 129101836
Total CPU difference: 17418.63999999997 / 17871.029999999966

Testing on Windows:
occt component :
Total MEMORY difference: 277660724 / 278189480
Total CPU difference: 32227.78125 / 32985.421875
products component :
Total MEMORY difference: 70819304 / 69855028
Total CPU difference: 11523.984375 / 10864.609375

There are no differences in images found by testdiff.
http://occt-tests/CR24255-1-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24255-1-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
IMAGE feat featdprism B5: B5.png differs
IMAGE feat featdprism B1: B1.png differs
IMAGE feat featdprism A5: A5.png differs
IMAGE feat featdprism A2: A2.png differs
IMAGE blend simple I8: I8.png differs
IMAGE blend simple I6: I6.png differs
IMAGE blend simple I4: I4.png differs
IMAGE blend simple I7: I7.png differs
IMAGE blend simple I5: I5.png differs
IMAGE blend buildevol E2: E2.png differs
IMAGE blend buildevol E3: E3.png differs
(0032909)
mkv (tester)
2014-10-09 16:23

Dear BugMaster,
Branch CR24255_1 from occt git-repository was compiled on Windows-64 platform and tested on Release mode.

Testing cases:

http://occt-tests/CR24255-1-master-occt-64/Windows-64-VC10/bugs/fclasses/bug6143.html [^]
bugs fclasses(002) bug6143: OK

http://occt-tests/CR24255-1-master-occt-64/Windows-64-VC10/offset/wire_closed_inside_0_005/I8.html [^]
offset wire_closed_inside_0_005(010) I8: OK

http://occt-tests/CR24255-1-master-occt-64/Windows-64-VC10/offset/wire_closed_inside_0_025/I8.html [^]
offset wire_closed_inside_0_025(011) I8: OK

http://occt-tests/CR24255-1-master-occt-64/Windows-64-VC10/offset/wire_closed_inside_0_075/I8.html [^]
offset wire_closed_inside_0_075(012) I8: OK

http://occt-tests/CR24255-1-master-occt-64/Windows-64-VC10/boolean/bsection/R3.html [^]
boolean bsection(015) R3: FAILED

http://occt-tests/CR24255-1-master-occt-64/Windows-64-VC10/blend/simple/P5.html [^]
blend simple(001) P5: OK
(0032967)
git (administrator)
2014-10-10 14:24

Branch CR24255_2 has been created by ifv.

SHA-1: 91b7c351f0d946139d22fbfdadbffb3de7c4a794


Detailed log of new commits:

Author: ifv
Date: Mon Oct 6 11:29:57 2014 +0400

    0024255: Regressions in test cases on OCCT vc9 win64 Release
(0032968)
ifv (developer)
2014-10-10 14:27

Branch CR24255_2 is ready for testing
(0032969)
ifv (developer)
2014-10-10 14:28

Please test CR24255_2
(0033046)
git (administrator)
2014-10-13 21:26

Branch CR24255_2 has been updated forcibly by mkv.

SHA-1: 5a5b5b5171533ec8b2c443936817da9a8c4592a6
(0033151)
mkv (tester)
2014-10-15 17:29

Dear BugMaster,
Branch CR24255_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 5a5b5b5171533ec8b2c443936817da9a8c4592a6

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
http://occt-tests/CR24255-2-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR24255-2-master-occt/Windows-32-VC10/summary.html [^]
bugs modalg_5(010) bug25199
offset wire_closed_inside_0_075(012) A8
draft angle(001) M2 - only on Linux platform

http://occt-tests/CR24255-2-master-products/Debian60-64/summary.html [^]
http://occt-tests/CR24255-2-master-products/Windows-32-VC10/summary.html [^]
dxf doc_1(001) I3, I8

Testing cases:
http://occt-tests/CR24255-2-master-occt/Windows-32-VC10/bugs/fclasses/bug6143.html [^]
bugs fclasses(002) bug6143: OK

http://occt-tests/CR24255-2-master-occt/Debian60-64/offset/wire_closed_inside_0_005/I8.html [^]
http://occt-tests/CR24255-2-master-occt/Windows-32-VC10/offset/wire_closed_inside_0_005/I8.html [^]
offset wire_closed_inside_0_005(010) I8: OK

http://occt-tests/CR24255-2-master-occt/Debian60-64/offset/wire_closed_inside_0_025/I8.html [^]
http://occt-tests/CR24255-2-master-occt/Windows-32-VC10/offset/wire_closed_inside_0_025/I8.html [^]
offset wire_closed_inside_0_025(011) I8: OK

http://occt-tests/CR24255-2-master-occt/Debian60-64/offset/wire_closed_inside_0_075/I8.html [^]
http://occt-tests/CR24255-2-master-occt/Windows-32-VC10/offset/wire_closed_inside_0_075/I8.html [^]
offset wire_closed_inside_0_075(012) I8: OK

http://occt-tests/CR24255-2-master-occt/Debian60-64/boolean/bsection/R3.html [^]
http://occt-tests/CR24255-2-master-occt/Windows-32-VC10/boolean/bsection/R3.html [^]
boolean bsection(015) R3: OK

http://occt-tests/CR24255-2-master-occt/Debian60-64/blend/simple/P5.html [^]
http://occt-tests/CR24255-2-master-occt/Windows-32-VC10/blend/simple/P5.html [^]
blend simple(001) P5: OK

Testing on Linux:
occt component :
Total MEMORY difference: 368385848 / 370163748
Total CPU difference: 46929.05000000023 / 47180.70999999984
products component :
Total MEMORY difference: 120732784 / 120967260
Total CPU difference: 17136.40999999999 / 17113.479999999992

Testing on Windows:
occt component :
Total MEMORY difference: 272398424 / 272231904
Total CPU difference: 46690.859375 / 32946.671875
products component :
Total MEMORY difference: 71009824 / 69974412
Total CPU difference: 14111.421875 / 11139.5625

There are following differences in images found by testdiff.
http://occt-tests/CR24255-2-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24255-2-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
IMAGE boolean bopfuse_complex J6: J6.png differs
IMAGE feat featdprism B5: B5.png differs
IMAGE feat featdprism B1: B1.png differs
IMAGE feat featdprism A5: A5.png differs
IMAGE feat featdprism A2: A2.png differs
IMAGE blend simple I8: I8.png differs
IMAGE blend simple I6: I6.png differs
IMAGE blend simple I4: I4.png differs
IMAGE blend simple I7: I7.png differs
IMAGE blend simple I5: I5.png differs
IMAGE blend buildevol E2: E2.png differs
IMAGE blend buildevol E3: E3.png differs
(0033158)
abv (manager)
2014-10-15 17:47

Note that fails on bugs modalg_5 bug24656 and bug24684 are caused by fix on #25202 and not related to this fix. Difference in image of offset compshape A3 also looks like regression, doesnot it?
(0034061)
git (administrator)
2014-11-05 17:09

Branch CR24255_2 has been updated by ifv.

SHA-1: a38697efc177e0cc0de4af5585d6a670e1357fd5


Detailed log of new commits:

Author: ifv
Date: Wed Nov 5 16:26:16 2014 +0300

    Merge branch 'master' of git.dev.opencascade.org:occt into CR24255_2

Author: ifv
Date: Wed Nov 5 16:25:06 2014 +0300

    Merge branch 'CR24255_2' of git.dev.opencascade.org:occt into CR24255_2
    
    Conflicts:
        src/BRepFill/BRepFill_OffsetWire.cxx
        src/BRepFill/BRepFill_TrimEdgeTool.cxx
        src/BRepLib/BRepLib_FindSurface.cxx
        src/MAT2d/MAT2d_Mat2d.cxx
        src/MAT2d/MAT2d_Tool2d.cxx
        tests/offset/wire_closed_inside_0_025/D1
        tests/offset/wire_closed_outside_0_005/D1
        tests/offset/wire_unclosed_outside_0_005/C1

Author: ifv
Date: Wed Oct 29 17:48:41 2014 +0300

    Fix for 25427 added

Author: ifv
Date: Mon Oct 27 16:35:56 2014 +0300

    Merge branch 'master' of git.dev.opencascade.org:occt into CR24255_2
    
    Conflicts:
        src/BRepFill/BRepFill_OffsetWire.cxx
        src/MAT2d/MAT2d_Tool2d.cxx

Author: ifv
Date: Wed Oct 22 17:18:51 2014 +0400

    Merge branch 'master' of git.dev.opencascade.org:occt into CR24255_2
    
    Conflicts:
        src/BRepFill/BRepFill_TrimEdgeTool.cxx
        tests/offset/wire_closed_inside_0_025/D1

Author: ifv
Date: Wed Oct 15 18:46:24 2014 +0400

    Merge branch 'master' of git.dev.opencascade.org:occt into CR24255_2

Author: ifv
Date: Mon Oct 6 11:29:57 2014 +0400

    0024255: Regressions in test cases on OCCT vc9 win64 Release

(0034065)
ifv (developer)
2014-11-05 17:46

Please test updated branch
(0034124)
mkv (tester)
2014-11-06 18:10
edited on: 2014-11-06 18:16

Dear BugMaster,
Branch CR24255_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: a38697efc177e0cc0de4af5585d6a670e1357fd5

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 0 (1 on master)

Regressions/Differences:
http://occt-tests.nnov.opencascade.com/CR24255-2-master-occt/Debian60-64/bugs/modalg_4/bug745_10.html [^]
http://occt-tests.nnov.opencascade.com/CR24255-2-master-occt/Windows-32-VC10/bugs/modalg_4/bug745_10.html [^]
bugs modalg_4(009) bug745_10: FAILED
http://occt-tests.nnov.opencascade.com/CR24255-2-master-occt/Debian60-64/bugs/modalg_5/bug25199.html [^]
http://occt-tests.nnov.opencascade.com/CR24255-2-master-occt/Windows-32-VC10/bugs/modalg_5/bug25199.html [^]
bugs modalg_5(010) bug25199: FAILED
http://occt-tests.nnov.opencascade.com/CR24255-2-master-occt/Debian60-64/draft/angle/M2.html [^]
draft angle(001) M2: FAILED
http://occt-tests.nnov.opencascade.com/CR24255-2-master-occt/Debian60-64/offset/wire_closed_inside_0_075/A8.html [^]
http://occt-tests.nnov.opencascade.com/CR24255-2-master-occt/Windows-32-VC10/offset/wire_closed_inside_0_075/A8.html [^]
offset wire_closed_inside_0_075(012) A8: FAILED


http://occt-tests.nnov.opencascade.com/CR24255-2-master-products/Debian60-64/dxf/doc_1/I3.html [^]
http://occt-tests.nnov.opencascade.com/CR24255-2-master-products/Windows-32-VC10/dxf/doc_1/I3.html [^]
dxf doc_1(001) I3: FAILED
http://occt-tests.nnov.opencascade.com/CR24255-2-master-products/Debian60-64/dxf/doc_1/I8.html [^]
http://occt-tests.nnov.opencascade.com/CR24255-2-master-products/Windows-32-VC10/dxf/doc_1/I8.html [^]
dxf doc_1(001) I8: FAILED

Testing cases:
http://occt-tests/CR24255-2-master-occt/Windows-32-VC10/bugs/fclasses/bug6143.html [^]
bugs fclasses(002) bug6143: OK

http://occt-tests/CR24255-2-master-occt/Debian60-64/offset/wire_closed_inside_0_005/I8.html [^]
http://occt-tests/CR24255-2-master-occt/Windows-32-VC10/offset/wire_closed_inside_0_005/I8.html [^]
offset wire_closed_inside_0_005(010) I8: OK

http://occt-tests/CR24255-2-master-occt/Debian60-64/offset/wire_closed_inside_0_025/I8.html [^]
http://occt-tests/CR24255-2-master-occt/Windows-32-VC10/offset/wire_closed_inside_0_025/I8.html [^]
offset wire_closed_inside_0_025(011) I8: OK

http://occt-tests/CR24255-2-master-occt/Debian60-64/offset/wire_closed_inside_0_075/I8.html [^]
http://occt-tests/CR24255-2-master-occt/Windows-32-VC10/offset/wire_closed_inside_0_075/I8.html [^]
offset wire_closed_inside_0_075(012) I8: OK

http://occt-tests/CR24255-2-master-occt/Debian60-64/boolean/bsection/R3.html [^]
http://occt-tests/CR24255-2-master-occt/Windows-32-VC10/boolean/bsection/R3.html [^]
boolean bsection(015) R3: OK

http://occt-tests/CR24255-2-master-occt/Debian60-64/blend/simple/P5.html [^]
http://occt-tests/CR24255-2-master-occt/Windows-32-VC10/blend/simple/P5.html [^]
blend simple(001) P5: OK

Testing on Linux:
occt component :
Total MEMORY difference: 371563132 / 372953548
Total CPU difference: 46063.50000000023 / 48553.74000000008
products component :
Total MEMORY difference: 126194400 / 125238156
Total CPU difference: 16726.41000000001 / 16781.969999999972

Testing on Windows:
occt component :
Total MEMORY difference: 273120680 / 274254828
Total CPU difference: 36824.78125 / 34077.875
products component :
Total MEMORY difference: 71306172 / 70496160
Total CPU difference: 10146.515625 / 13165.21875

There are following differences in images found by testdiff.
http://occt-tests.nnov.opencascade.com/CR24255-2-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests.nnov.opencascade.com/CR24255-2-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
IMAGE feat featdprism B5: B5.png differs - Improvement
IMAGE feat featdprism B1: B1.png differs - Improvement
IMAGE feat featdprism A5: A5.png differs - Improvement
IMAGE feat featdprism A2: A2.png differs - Improvement
IMAGE blend simple I8: I8.png differs
IMAGE blend simple I6: I6.png differs
IMAGE blend simple I4: I4.png differs
IMAGE blend simple I7: I7.png differs
IMAGE blend simple I5: I5.png differs
IMAGE blend buildevol E2: E2.png differs
IMAGE blend buildevol E3: E3.png differs

(0034353)
git (administrator)
2014-11-12 11:24

Branch CR24255_2 has been updated by ifv.

SHA-1: 40e762bbaf680f9175fc33da00d956f00438d1cf


Detailed log of new commits:

Author: ifv
Date: Wed Nov 12 11:22:49 2014 +0300

    Fix of regressions

(0034372)
git (administrator)
2014-11-12 17:42

Branch CR24255_2 has been updated by ifv.

SHA-1: 563d3762553633ae843fd2c1dae13426e3497aaa


Detailed log of new commits:

Author: ifv
Date: Wed Nov 12 17:42:22 2014 +0300

    Merge branch 'CR24255_2' of git.dev.opencascade.org:occt into CR24255_2
    
    Conflicts:
        src/GeomInt/GeomInt_IntSS_1.cxx

Author: ifv
Date: Wed Nov 12 17:06:05 2014 +0300

    Resolve conflict

Author: ifv
Date: Wed Nov 12 16:42:35 2014 +0300

    Merge branch 'master' of git.dev.opencascade.org:occt into CR24255_2
    
    Conflicts:
        src/BRepFill/BRepFill_TrimEdgeTool.cxx
        src/BRepLib/BRepLib_FindSurface.cxx
        src/MAT2d/MAT2d_Mat2d.cxx
        src/MAT2d/MAT2d_Tool2d.cxx

Author: ifv
Date: Wed Nov 12 11:22:49 2014 +0300

    Fix of regressions

(0034373)
ifv (developer)
2014-11-12 17:54

CR24255_2 is ready for testing

Note:
dxf doc_1 I3, I8 is really "improvements", because tolerances are less then for master, please change reference data for these tests.
(0034374)
ifv (developer)
2014-11-12 17:55

CR24255_2 is ready for testing

 Note:
 dxf doc_1 I3, I8 is really "improvements", because tolerances are less then for master, please change reference data for these tests.
(0034387)
apv (tester)
2014-11-13 11:34

Dear BugMaster,

Branch CR24255_2 has been rejected due errors on extraction step:
   1. Error : File OSD_OpenFile.hxx could not be found
   2. Error : File OpenGl_Utils.hxx could not be found
Full information could be found by the following links:
Linux:
http://jenkins-test-02.nnov.opencascade.com/user/mnt/my-views/view/CR24255_2/job/mnt-CR24255_2-master_prepare_occt_linux/2/parsed_console/ [^]
MacOS:
http://jenkins-test-02.nnov.opencascade.com/user/mnt/my-views/view/CR24255_2/job/mnt-CR24255_2-master_prepare_build_occt_MacOS/1/parsed_console/ [^]
(0034391)
git (administrator)
2014-11-13 14:25

Branch CR24255_2 has been updated by ifv.

SHA-1: a49ce9037a93378452fe7a6fe440b4e541c3e872


Detailed log of new commits:

Author: ifv
Date: Thu Nov 13 14:25:11 2014 +0300

    Add missed files

(0034392)
git (administrator)
2014-11-13 14:31

Branch CR24255_2 has been updated by ifv.

SHA-1: 605e4470b6b6ec2bb7daf8e3f0dc6bda7b7cf4dd


Detailed log of new commits:

Author: ifv
Date: Thu Nov 13 14:30:53 2014 +0300

    Add missed files

(0034394)
git (administrator)
2014-11-13 14:48

Branch CR24255_2 has been updated by ifv.

SHA-1: 15e4ddfe591642d90c04e577e8c695f48edd65a6


Detailed log of new commits:

Author: ifv
Date: Thu Nov 13 14:48:18 2014 +0300

    Add missed files

Author: ifv
Date: Thu Nov 13 14:37:36 2014 +0300

    Add missed files

(0034395)
ifv (developer)
2014-11-13 14:51

Missed files added, please test
(0034396)
ifv (developer)
2014-11-13 14:52

CR24255_2 is updated, please test
(0034457)
apv (tester)
2014-11-17 16:02

Dear BugMaster,

Branch CR24255_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 15e4ddfe591642d90c04e577e8c695f48edd65a6

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 0 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs fclasses bug6143 - OK
http://occt-tests/CR24255-2-master-occt/Debian60-64/bugs/fclasses/bug6143.html [^]
http://occt-tests/CR24255-2-master-occt/Windows-32-VC10/bugs/fclasses/bug6143.html [^]

offset wire_closed_inside_0_005 I8 - OK
http://occt-tests/CR24255-2-master-occt/Debian60-64/offset/wire_closed_inside_0_005/I8.html [^]
http://occt-tests/CR24255-2-master-occt/Windows-32-VC10/offset/wire_closed_inside_0_005/I8.html [^]

offset wire_closed_inside_0_025 I8 - OK
http://occt-tests/CR24255-2-master-occt/Debian60-64/offset/wire_closed_inside_0_025/I8.html [^]
http://occt-tests/CR24255-2-master-occt/Windows-32-VC10/offset/wire_closed_inside_0_025/I8.html [^]

offset wire_closed_inside_0_075 I8 - OK
http://occt-tests/CR24255-2-master-occt/Debian60-64/offset/wire_closed_inside_0_075/I8.html [^]
http://occt-tests/CR24255-2-master-occt/Windows-32-VC10/offset/wire_closed_inside_0_075/I8.html [^]

boolean bsection R3 - OK
http://occt-tests/CR24255-2-master-occt/Debian60-64/boolean/bsection/R3.html [^]
http://occt-tests/CR24255-2-master-occt/Windows-32-VC10/boolean/bsection/R3.html [^]

blend simple(001) P5: OK
http://occt-tests/CR24255-2-master-occt/Debian60-64/blend/simple/P5.html [^]
http://occt-tests/CR24255-2-master-occt/Windows-32-VC10/blend/simple/P5.html [^]

Testing on Linux:
Total MEMORY difference: 355251492 / 356610912
Total CPU difference: 45120.20000000014 / 47864.939999999995
Testing on Windows:
Total MEMORY difference: 169376856 / 170004280
Total CPU difference: 27575.53125 / 23894.71875

There are following differences in images found by testdiff:
http://occt-tests.nnov.opencascade.com/CR24255-2-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests.nnov.opencascade.com/CR24255-2-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
feat featdprism B5
feat featdprism B1
feat featdprism A5
feat featdprism A2
blend simple I8
blend simple I6
blend simple I4
blend simple I7
blend simple I5
blend buildevol E2
blend buildevol E3

There is compilation error during OCCT MFC-sample building:
..\..\..\..\Common\res\OCC_Resource.rc(70): error RC2135: file not found: ToolbarRayTracing.bmp
http://jenkins-test-02.nnov.opencascade.com/user/mnt/my-views/view/CR24255_2/job/mnt-CR24255_2-master_build_occt_mfc_samples_windows/2/parsed_console/ [^]
(0034458)
apv (tester)
2014-11-17 16:09

Dear BugMaster,

Branch CR24255 has been created in products git-repository. It consists updated version of test-cases: dxf doc_1 I3, I8
(0034463)
git (administrator)
2014-11-17 16:48

Branch CR24255_2 has been updated by ifv.

SHA-1: b262f88fc1eae97724074986d48e45cc878a48d6


Detailed log of new commits:

Author: ifv
Date: Mon Nov 17 16:47:21 2014 +0300

    Add missed files

(0034464)
ifv (developer)
2014-11-17 17:00

issed file added.
(0034465)
ifv (developer)
2014-11-17 17:02

Missed file added, please recompile MFC samples.
All image differences are valid and are caused by new bechaviour of algorithms.
(0034516)
git (administrator)
2014-11-19 18:45

Branch CR24255_3 has been created by ifv.

SHA-1: 9382feed469394357b10ac107f870a73d453466c


Detailed log of new commits:

Author: ifv
Date: Wed Nov 19 18:44:56 2014 +0300

    0024255: Regressions in test cases on OCCT vc9 win64 Release
(0034517)
ifv (developer)
2014-11-19 18:48

CR24255_3 is ready to testing.
(0034518)
ifv (developer)
2014-11-19 18:49

Branch CR24255_3 is updated and created for latest version of master and contains only modified files.
Please retest
(0034559)
apv (tester)
2014-11-20 16:06

Dear BugMaster,

Branch CR24255_3 from occt git-repository (and CR24255 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 9382feed469394357b10ac107f870a73d453466c

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 0 (1 on master)

Regressions/Differences:
http://occt-tests/CR24255-3-CR24255-occt/Debian60-64/summary.html [^]
http://occt-tests/CR24255-3-CR24255-occt/Windows-32-VC10/summary.html [^]
offset wire_closed_inside_0_075(012) E8

Testing cases:
bugs fclasses bug6143 - OK
http://occt-tests/CR24255-3-CR24255-occt/Debian60-64/bugs/fclasses/bug6143.html [^]
http://occt-tests/CR24255-3-CR24255-occt/Windows-32-VC10/bugs/fclasses/bug6143.html [^]

offset wire_closed_inside_0_005 I8 - OK
http://occt-tests/CR24255-3-CR24255-occt/Debian60-64/offset/wire_closed_inside_0_005/I8.html [^]
http://occt-tests/CR24255-3-CR24255-occt/Windows-32-VC10/offset/wire_closed_inside_0_005/I8.html [^]

offset wire_closed_inside_0_025 I8 - OK
http://occt-tests/CR24255-3-CR24255-occt/Debian60-64/offset/wire_closed_inside_0_025/I8.html [^]
http://occt-tests/CR24255-3-CR24255-occt/Windows-32-VC10/offset/wire_closed_inside_0_025/I8.html [^]

offset wire_closed_inside_0_075 I8 - OK
http://occt-tests/CR24255-3-CR24255-occt/Debian60-64/offset/wire_closed_inside_0_075/I8.html [^]
http://occt-tests/CR24255-3-CR24255-occt/Windows-32-VC10/offset/wire_closed_inside_0_075/I8.html [^]

boolean bsection R3 - OK
http://occt-tests/CR24255-3-CR24255-occt/Debian60-64/boolean/bsection/R3.html [^]
http://occt-tests/CR24255-3-CR24255-occt/Windows-32-VC10/boolean/bsection/R3.html [^]

blend simple(001) P5: OK
http://occt-tests/CR24255-3-CR24255-occt/Debian60-64/blend/simple/P5.html [^]
http://occt-tests/CR24255-3-CR24255-occt/Windows-32-VC10/blend/simple/P5.html [^]

Testing on Linux:
Total MEMORY difference: 356660856 / 358030244
Total CPU difference: 45721.28000000038 / 48044.49

Testing on Windows:
Total MEMORY difference: 271736492 / 272457932
Total CPU difference: 37003.671875 / 36962.53125

There are following differences in images found by testdiff:
http://occt-tests.nnov.opencascade.com/CR24255-3-CR24255-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests.nnov.opencascade.com/CR24255-3-CR24255-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
feat featdprism B5
feat featdprism B1
feat featdprism A5
feat featdprism A2
blend simple I8
blend simple I6
blend simple I4
blend simple I7
blend simple I5
blend buildevol E2
blend buildevol E3
(0034560)
ifv (developer)
2014-11-20 16:14

Since bechaviour of offset algo was changed, it is necessary to add in
wire_closed_inside_0_075 E8:

puts "TODO ?OCC24255 ALL: Faulty shapes in variables faulty_1 to faulty_17"
puts "TODO ?OCC24255 ALL: Faulty shapes in variables faulty_1 to faulty_4"

....
set length 240.01
set nbsh_v 434
set nbsh_e 434
set nbsh_w 2
(0034564)
git (administrator)
2014-11-20 17:31

Branch CR24255_3 has been updated by apv.

SHA-1: 369829477ff7ee21ad475cf1d59389129e95b797


Detailed log of new commits:

Author: apv
Date: Thu Nov 20 17:31:00 2014 +0300

    Test-case modification

(0034565)
apv (tester)
2014-11-20 17:33

Test case offset wire_closed_inside_0_075 E8 has been modified accordingly.
(0034633)
ifv (developer)
2014-11-24 14:21

Dear apv, mkv
Some tests that cause difference in images:
 blend simple I8
 blend simple I6
 blend simple I4
 blend simple I7
 blend simple I5
 blend buildevol E2
 blend buildevol E3
can be slightly modified in order to remove differences, see attached file tests.7z
(0034669)
git (administrator)
2014-11-25 16:14

Branch CR24255_3 has been updated by apv.

SHA-1: 79b2f64da464e903fe2a765da284f6dc728d6627


Detailed log of new commits:

Author: apv
Date: Tue Nov 25 16:14:33 2014 +0300

    Update of test-cases to eliminate differences in output images

(0034673)
apv (tester)
2014-11-25 16:19

Update of test-cases in blend group allows to remove differences in output images:
http://occt-tests.nnov.opencascade.com/CR24255-3-CR24255-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests.nnov.opencascade.com/CR24255-3-CR24255-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
(0035378)
git (administrator)
2014-12-12 18:26

Branch CR24255_4 has been created by ifv.

SHA-1: 8c97aa018d33d194cbf0385812af589d949c7910


Detailed log of new commits:

Author: ifv
Date: Wed Nov 19 18:44:56 2014 +0300

    0024255: Regressions in test cases on OCCT vc9 win64 Release
(0035402)
abv (manager)
2014-12-15 12:08

Igor, may you please provide description of the changes made in your fix? The best would be to have this description in Git commit. Thank you in advance!
(0035445)
apv (tester)
2014-12-17 12:14

Dear ifv, please rebase branch CR24255_4 to new master (conflicts in source files were found). Thank you in advance.
(0035474)
git (administrator)
2014-12-18 12:58

Branch CR24255_5 has been created by aml.

SHA-1: e2836be356df57e49a485153b1057ba48e183594


Detailed log of new commits:

Author: ifv
Date: Wed Nov 19 18:44:56 2014 +0300

    0024255: Regressions in test cases on OCCT vc9 win64 Release
(0035475)
aml (developer)
2014-12-18 12:59

Dear apv,

CR24255_4 has been rebased and pushed to CR24255_5.
(0035492)
git (administrator)
2014-12-18 18:56

Branch CR24255_5 has been updated by apv.

SHA-1: 2998ace844dd2ceacaa7e4ae7f0cc3515c7e6b05


Detailed log of new commits:

Author: apv
Date: Thu Dec 18 18:56:02 2014 +0300

    Updated test-cases from branch CR24255_3

(0035534)
apv (tester)
2014-12-19 18:19

Dear BugMaster,

Branch CR24255_5 from occt git-repository (and CR24255_1 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 2998ace844dd2ceacaa7e4ae7f0cc3515c7e6b05
SHA-1: cc03191c9501c200f9fc86de4de9ba57e5c8186c

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 0 (1 on master)

Regressions/Differences:
http://occt-tests/CR24255-5-CR24255-1-occt/Debian60-64/summary.html [^]
http://occt-tests/CR24255-5-CR24255-1-occt/Windows-32-VC10/summary.html [^]
bugs modalg_5(010) bug25298_04

Testing cases:
bugs fclasses bug6143 - OK
http://occt-tests/CR24255-5-CR24255-1-occt/Debian60-64/bugs/fclasses/bug6143.html [^]
http://occt-tests/CR24255-5-CR24255-1-occt/Windows-32-VC10/bugs/fclasses/bug6143.html [^]

offset wire_closed_inside_0_005 I8 - OK
http://occt-tests/CR24255-5-CR24255-1-occt/Debian60-64/offset/wire_closed_inside_0_005/I8.html [^]
http://occt-tests/CR24255-5-CR24255-1-occt/Windows-32-VC10/offset/wire_closed_inside_0_005/I8.html [^]

offset wire_closed_inside_0_025 I8 - OK
http://occt-tests/CR24255-5-CR24255-1-occt/Debian60-64/offset/wire_closed_inside_0_025/I8.html [^]
http://occt-tests/CR24255-5-CR24255-1-occt/Windows-32-VC10/offset/wire_closed_inside_0_025/I8.html [^]

offset wire_closed_inside_0_075 I8 - OK
http://occt-tests/CR24255-5-CR24255-1-occt/Debian60-64/offset/wire_closed_inside_0_075/I8.html [^]
http://occt-tests/CR24255-5-CR24255-1-occt/Windows-32-VC10/offset/wire_closed_inside_0_075/I8.html [^]

boolean bsection R3 - OK
http://occt-tests/CR24255-5-CR24255-1-occt/Debian60-64/boolean/bsection/R3.html [^]
http://occt-tests/CR24255-5-CR24255-1-occt/Windows-32-VC10/boolean/bsection/R3.html [^]

blend simple(001) P5: OK
http://occt-tests/CR24255-5-CR24255-1-occt/Debian60-64/blend/simple/P5.html [^]
http://occt-tests/CR24255-5-CR24255-1-occt/Windows-32-VC10/blend/simple/P5.html [^]

Testing on Linux:
occt component:
Total MEMORY difference: 365763912 / 367673372
Total CPU difference: 49047.68000000003 / 51436.17000000015
products component:
Total MEMORY difference: 112428928 / 112492060
Total CPU difference: 16273.949999999972 / 16875.629999999983

Testing on Windows:
occt component:
Total MEMORY difference: 276846144 / 277145236
Total CPU difference: 42980.09375 / 37467.0154507
products component:
Total MEMORY difference: 72338056 / 71382268
Total CPU difference: 10862.0625 / 10342.656534399997

There are differences in images found by testdiff:
http://occt-tests.nnov.opencascade.com/CR24255-5-CR24255-1-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests.nnov.opencascade.com/CR24255-5-CR24255-1-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
http://occt-tests.nnov.opencascade.com/CR24255-5-CR24255-1-products/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests.nnov.opencascade.com/CR24255-5-CR24255-1-products/Windows-32-VC10/diff-Windows-32-VC10.html [^]
(0035746)
git (administrator)
2014-12-26 11:38

Branch CR24255_5 has been updated by aml.

SHA-1: e021bb0f90120d0dcea913890bd1a70f1e29d27b


Detailed log of new commits:

Author: aml
Date: Fri Dec 26 10:46:06 2014 +0300

    0024255: Regressions in test cases on OCCT vc9 win64 Release
    
    Fixed bad condition number handling.

(0035757)
git (administrator)
2014-12-26 14:18

Branch CR24255_5 has been updated forcibly by aml.

SHA-1: 49f2ac0f81ac417836507b730e95a3fd449cdd25
(0036245)
git (administrator)
2015-01-20 12:27

Branch CR24255_5 has been updated by ifv.

SHA-1: ee5f89ac2e45dc80fd1e993e107484611a611714


Detailed log of new commits:

Author: ifv
Date: Mon Jan 19 15:26:53 2015 +0300

    Fix for CASE bugs modalg_5 bug25298_04: FAILED (error)

(0036246)
ifv (developer)
2015-01-20 12:38

branch CR24255_5 is ready for review and tests.
Fix concerns only bugs modalg_5 bug25298_04
Dear JGV please review fix.

Image differences for OMF boolean operation are caused by differences of triangulations of input shapes. Triangulations are changed because normals of some faces are changed. It is quite valid and cannot be considered as bugs.
(0036253)
jgv (developer)
2015-01-20 13:02

Ok.
(0036352)
git (administrator)
2015-01-21 20:24

Branch CR24255_5 has been updated forcibly by apn.

SHA-1: f9cccf282ee090f51467a52bf62524ab9662fda5
(0036651)
apn (administrator)
2015-01-26 15:52

Dear BugMaster,
Branch CR24255_5 from occt git-repository (and CR24255_1 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested in Release mode.
SHA-1: f9cccf282ee090f51467a52bf62524ab9662fda5

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
bugs modalg_5 bug25298_09
http://occt-tests/CR24255-5-CR24255-1-occt/Debian60-64/bugs/modalg_5/bug25298_09.html [^]
http://occt-tests/CR24255-5-CR24255-1-occt/Windows-32-VC10/bugs/modalg_5/bug25298_09.html [^]

Testing cases:
bugs fclasses bug6143 - OK
http://occt-tests/CR24255-5-CR24255-1-occt/Windows-32-VC10/bugs/fclasses/bug6143.html [^]

offset wire_closed_inside_0_005 I8 - OK
http://occt-tests/CR24255-5-CR24255-1-occt/Debian60-64/offset/wire_closed_inside_0_005/I8.html [^]
http://occt-tests/CR24255-5-CR24255-1-occt/Windows-32-VC10/offset/wire_closed_inside_0_005/I8.html [^]

offset wire_closed_inside_0_025 I8 - OK
http://occt-tests/CR24255-5-CR24255-1-occt/Debian60-64/offset/wire_closed_inside_0_025/I8.html [^]
http://occt-tests/CR24255-5-CR24255-1-occt/Windows-32-VC10/offset/wire_closed_inside_0_025/I8.html [^]

offset wire_closed_inside_0_075 I8 - OK
http://occt-tests/CR24255-5-CR24255-1-occt/Debian60-64/offset/wire_closed_inside_0_075/I8.html [^]
http://occt-tests/CR24255-5-CR24255-1-occt/Windows-32-VC10/offset/wire_closed_inside_0_075/I8.html [^]

boolean bsection R3 - OK
http://occt-tests/CR24255-5-CR24255-1-occt/Debian60-64/boolean/bsection/R3.html [^]
http://occt-tests/CR24255-5-CR24255-1-occt/Windows-32-VC10/boolean/bsection/R3.html [^]

blend simple P5: OK
http://occt-tests/CR24255-5-CR24255-1-occt/Debian60-64/blend/simple/P5.html [^]
http://occt-tests/CR24255-5-CR24255-1-occt/Windows-32-VC10/blend/simple/P5.html [^]

Testing on Linux:
Total MEMORY difference: 368831216 / 369707764
Total CPU difference: 51310.01999999991 / 46820.45000000005

Testing on Windows:
Total MEMORY difference: 275747168 / 276753220
Total CPU difference: 45116.140625 / 39957.828125

There are not differences in images found by testdiff.
(0037251)
git (administrator)
2015-02-09 18:52

Branch CR24255_6 has been created by ifv.

SHA-1: 75dc84c365a7efe158f042ee4cd411983b83ba3d


Detailed log of new commits:

Author: ifv
Date: Mon Jan 19 15:26:53 2015 +0300

    Fix for CASE bugs modalg_5 bug25298_09: FAILED (error)

Author: aml
Date: Fri Dec 26 10:46:06 2014 +0300

    0024255: Regressions in test cases on OCCT vc9 win64 Release
    
    Small refactoring.

Author: apv
Date: Thu Dec 18 18:56:02 2014 +0300

    Updated test-cases from branch CR24255_3

Author: ifv
Date: Wed Nov 19 18:44:56 2014 +0300

    0024255: Regressions in test cases on OCCT vc9 win64 Release
(0037252)
ifv (developer)
2015-02-09 18:56

CR24255_6 is ready for test
(0037351)
apv (tester)
2015-02-11 13:45

Dear BugMaster,

Branch CR24255_6 from occt git-repository (and CR24255_1 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 75dc84c365a7efe158f042ee4cd411983b83ba3d
SHA-1: 0983e86f1bb8f29d47594e7e8b002c4e3e01b5c2

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 0 (1 on master)

Regressions/Differences:
http://occt-tests/CR24255-6-CR24255-1-occt/Debian60-64/summary.html [^]
http://occt-tests/CR24255-6-CR24255-1-occt/Windows-32-VC10/summary.html [^]
bugs modalg_5(010) bug25704_1, bug25704_2

Testing cases:
bugs fclasses bug6143 - OK
http://occt-tests/CR24255-6-CR24255-1-occt/Debian60-64/bugs/fclasses/bug6143.html [^]
http://occt-tests/CR24255-6-CR24255-1-occt/Windows-32-VC10/bugs/fclasses/bug6143.html [^]

offset wire_closed_inside_0_005 I8 - OK
http://occt-tests/CR24255-6-CR24255-1-occt/Debian60-64/offset/wire_closed_inside_0_005/I8.html [^]
http://occt-tests/CR24255-6-CR24255-1-occt/Windows-32-VC10/offset/wire_closed_inside_0_005/I8.html [^]

offset wire_closed_inside_0_025 I8 - OK
http://occt-tests/CR24255-6-CR24255-1-occt/Debian60-64/offset/wire_closed_inside_0_025/I8.html [^]
http://occt-tests/CR24255-6-CR24255-1-occt/Windows-32-VC10/offset/wire_closed_inside_0_025/I8.html [^]

offset wire_closed_inside_0_075 I8 - OK
http://occt-tests/CR24255-6-CR24255-1-occt/Debian60-64/offset/wire_closed_inside_0_075/I8.html [^]
http://occt-tests/CR24255-6-CR24255-1-occt/Windows-32-VC10/offset/wire_closed_inside_0_075/I8.html [^]

boolean bsection R3 - OK
http://occt-tests/CR24255-6-CR24255-1-occt/Debian60-64/boolean/bsection/R3.html [^]
http://occt-tests/CR24255-6-CR24255-1-occt/Windows-32-VC10/boolean/bsection/R3.html [^]

blend simple(001) P5: OK
http://occt-tests/CR24255-6-CR24255-1-occt/Debian60-64/blend/simple/P5.html [^]
http://occt-tests/CR24255-6-CR24255-1-occt/Windows-32-VC10/blend/simple/P5.html [^]

Testing on Linux:
occt component:
   Total MEMORY difference: 86050669 / 86207379
   Total CPU difference: 48776.53000000024 / 47868.82999999984
products component:
   Total MEMORY difference: 23585509 / 23600626
   Total CPU difference: 16724.93999999999 / 14857.979999999967

Testing on Windows:
occt component:
   Total MEMORY difference: 40667790 / 40650008
   Total CPU difference: 34775.96875 / 32613.328125
products component:
   Total MEMORY difference: 11036056 / 11081969
   Total CPU difference: 13218.859375 / 10978.125

There are differences in images found by testdiff:
http://occt-tests/CR24255-6-CR24255-1-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24255-6-CR24255-1-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]
bugs modalg_5 bug25298_09
Possible improvements:
feat featdprism B5
feat featdprism B1
feat featdprism A5
feat featdprism A2
http://occt-tests/CR24255-6-CR24255-1-products/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24255-6-CR24255-1-products/Windows-32-VC10/diff-Windows-32-VC10.html [^]
(0037432)
aml (developer)
2015-02-12 13:50

Dear apv,

Current master offset orientation behavior is:
bug25704_1 - inside
bug25704_2 - outside

Current CR24255_6 offset orientation behavior is:
bug25704_1 - outside
bug25704_2 - inside

According to the test cases behavior should be:
bug25704_1 - outside (offset value > 0.0)
bug25704_2 - inside (offset value < 0.0)

So, bug25704_1 and bug25704_2 is OK.
(0037433)
abv (manager)
2015-02-12 13:58

Please correct tests bugs modalg_5 bug25704_1, bug25704_2 according to new results, and integrate
(0037436)
git (administrator)
2015-02-12 14:25

Branch CR24255_6 has been updated by apv.

SHA-1: 4d8e655ca3fc92a017ac706f499d1ff740d2b723


Detailed log of new commits:

Author: apv
Date: Thu Feb 12 14:25:43 2015 +0300

    Test-cases correction (bugs modalg_5 bugs25804_1, bug25704_2)

(0037471)
abv (manager)
2015-02-13 08:57

I confirm that all cases reported in the original bug description are fixed in IR-2015-02-12 (which includes CR24255). 14 other test cases from grid "offset" became OK. There is one fail, on offset wire_closed_inside_0_075 C8, but it looks rather like variation, to be checked.

I notice also improvement of CPU on many cases, however many cases showed performance degradation. I suggest they should be investigated and improved if possible (in separate issue, of course). Here is extract from my log:

CPU offset faces_type_i E9: 3.0108193 / 4.4304284 [-32.04%]
STATUS offset wire_closed_inside_0_005 B5: BAD / OK
CPU offset wire_closed_inside_0_005 D1: 2.6832172 / 1.9500125 [+37.60%]
CPU offset wire_closed_inside_0_005 E8: 4.4928288 / 0.3276021 [+1271.43%]
STATUS offset wire_closed_inside_0_005 I8: OK / FAILED
STATUS offset wire_closed_inside_0_025 A2: OK / BAD
STATUS offset wire_closed_inside_0_025 B2: OK / BAD
CPU offset wire_closed_inside_0_025 D1: 1.1856076 / 300.39552560000004 [-99.61%]
CPU offset wire_closed_inside_0_025 E8: 4.6020295 / 0.3744024 [+1129.17%]
STATUS offset wire_closed_inside_0_025 H3: OK / BAD
STATUS offset wire_closed_inside_0_025 I8: OK / FAILED
STATUS offset wire_closed_inside_0_075 A5: OK / BAD
STATUS offset wire_closed_inside_0_075 A8: OK / BAD
STATUS offset wire_closed_inside_0_075 C7: OK / BAD
STATUS offset wire_closed_inside_0_075 C8: FAILED / BAD
CPU offset wire_closed_inside_0_075 E8: 4.6644299 / 0.40560260000000004 [+1050.00%]
STATUS offset wire_closed_inside_0_075 F6: OK / BAD
STATUS offset wire_closed_inside_0_075 H3: OK / BAD
STATUS offset wire_closed_inside_0_075 I8: OK / FAILED
CPU offset wire_closed_outside_0_005 C9: 1.1700074999999999 / 0.2808018 [+316.67%]
CPU offset wire_closed_outside_0_005 D1: 1.0608068 / 1.9188123 [-44.72%]
CPU offset wire_closed_outside_0_005 E8: 3.9312252 / 0.3900025 [+908.00%]
STATUS offset wire_closed_outside_0_025 B7: OK / BAD
CPU offset wire_closed_outside_0_025 E8: 4.7268303000000005 / 0.4368028 [+982.14%]
STATUS offset wire_closed_outside_0_025 F8: OK / BAD
STATUS offset wire_closed_outside_0_075 B7: OK / BAD
CPU offset wire_closed_outside_0_075 E8: 5.3196341 / 0.40560260000000004 [+1211.54%]
CPU offset wire_unclosed_outside_0_005 B9: 2.3088148 / 1.0764069 [+114.49%]
CPU offset wire_unclosed_outside_0_005 C1: 0.9204059 / 51.1215277 [-98.20%]
STATUS offset wire_unclosed_outside_0_025 A1: OK / BAD
STATUS offset wire_unclosed_outside_0_025 A6: OK / BAD
CPU offset wire_unclosed_outside_0_025 A9: 1.6536106 / 2.9172187000000003 [-43.32%]
CPU offset wire_unclosed_outside_0_025 B9: 74.1784755 / 0.6396041 [+11497.56%]
CPU offset wire_unclosed_outside_0_025 C3: 6.5052417 / 3.4476221 [+88.69%]
STATUS offset wire_unclosed_outside_0_075 A6: OK / BAD
(0038479)
git (administrator)
2015-03-18 13:31

Branch CR24255_1 has been deleted by inv.

SHA-1: ac2c4340dbe192c37e87c6104b53a3467fb34ff7
(0038480)
git (administrator)
2015-03-18 13:31

Branch CR24255_2 has been deleted by inv.

SHA-1: b262f88fc1eae97724074986d48e45cc878a48d6
(0038481)
git (administrator)
2015-03-18 13:31

Branch CR24255_3 has been deleted by inv.

SHA-1: 79b2f64da464e903fe2a765da284f6dc728d6627
(0038482)
git (administrator)
2015-03-18 13:31

Branch CR24255_4 has been deleted by inv.

SHA-1: 8c97aa018d33d194cbf0385812af589d949c7910
(0038483)
git (administrator)
2015-03-18 13:31

Branch CR24255_5 has been deleted by inv.

SHA-1: f9cccf282ee090f51467a52bf62524ab9662fda5
(0038484)
git (administrator)
2015-03-18 13:31

Branch CR24255_6 has been deleted by inv.

SHA-1: 4d8e655ca3fc92a017ac706f499d1ff740d2b723
(0038485)
git (administrator)
2015-03-18 13:32

Branch CR24255_Pln has been deleted by inv.

SHA-1: fb57fc49d31fe7a1b6fafa5601b17e7ec059e010

- Related Changesets
occt: master 873c119f
Timestamp: 2015-02-12 11:38:39
Author: ifv
Committer: bugmaster
Details ] Diff ]
0024255: Regressions in test cases on OCCT vc9 win64 Release

Updated test-cases from branch CR24255_3

0024255: Regressions in test cases on OCCT vc9 win64 Release

Small refactoring.

Fix for CASE bugs modalg_5 bug25298_09: FAILED (error)

Test-cases correction (bugs modalg_5 bugs25804_1, bug25704_2)
mod - src/Bisector/Bisector_Bisec.cxx Diff ] File ]
mod - src/Bisector/Bisector_BisecCC.cxx Diff ] File ]
mod - src/Bisector/Bisector_Inter.cxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools3D.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_OffsetWire.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_TrimEdgeTool.cxx Diff ] File ]
mod - src/BRepLib/BRepLib.cxx Diff ] File ]
mod - src/BRepLib/BRepLib_FindSurface.cxx Diff ] File ]
mod - src/BRepMAT2d/BRepMAT2d_Explorer.cxx Diff ] File ]
mod - src/BRepOffsetAPI/BRepOffsetAPI_MakeOffset.cxx Diff ] File ]
mod - src/ChFi3d/ChFi3d_Builder_0.cxx Diff ] File ]
mod - src/IntCurve/IntCurve_ExactIntersectionPoint.gxx Diff ] File ]
mod - src/IntCurve/IntCurve_IntPolyPolyGen.gxx Diff ] File ]
mod - src/MAT2d/MAT2d_Mat2d.cxx Diff ] File ]
mod - src/MAT2d/MAT2d_Tool2d.cxx Diff ] File ]
mod - tests/blend/buildevol/D9 Diff ] File ]
mod - tests/blend/buildevol/E2 Diff ] File ]
mod - tests/blend/buildevol/E3 Diff ] File ]
mod - tests/blend/simple/I1 Diff ] File ]
mod - tests/blend/simple/I2 Diff ] File ]
mod - tests/blend/simple/I4 Diff ] File ]
mod - tests/blend/simple/I5 Diff ] File ]
mod - tests/blend/simple/I6 Diff ] File ]
mod - tests/blend/simple/I7 Diff ] File ]
mod - tests/blend/simple/I8 Diff ] File ]
mod - tests/blend/simple/P5 Diff ] File ]
mod - tests/boolean/bsection/R3 Diff ] File ]
mod - tests/bugs/caf/bug21707 Diff ] File ]
mod - tests/bugs/modalg_1/buc60782_1 Diff ] File ]
mod - tests/bugs/modalg_2/bug423_1 Diff ] File ]
mod - tests/bugs/modalg_4/bug745_10 Diff ] File ]
mod - tests/bugs/modalg_4/bug829_1 Diff ] File ]
mod - tests/bugs/modalg_5/bug23706_1 Diff ] File ]
mod - tests/bugs/modalg_5/bug23952_1 Diff ] File ]
mod - tests/bugs/modalg_5/bug25298_09 Diff ] File ]
mod - tests/bugs/modalg_5/bug25704_1 Diff ] File ]
mod - tests/bugs/modalg_5/bug25704_2 Diff ] File ]
mod - tests/caf/driver/B6 Diff ] File ]
mod - tests/caf/driver/B7 Diff ] File ]
mod - tests/caf/named_shape/F6 Diff ] File ]
mod - tests/caf/named_shape/F7 Diff ] File ]
mod - tests/draft/angle/M2 Diff ] File ]
mod - tests/feat/featdprism/A1 Diff ] File ]
mod - tests/feat/featdprism/A2 Diff ] File ]
mod - tests/feat/featdprism/A3 Diff ] File ]
mod - tests/feat/featdprism/A4 Diff ] File ]
mod - tests/feat/featdprism/A5 Diff ] File ]
mod - tests/feat/featdprism/A6 Diff ] File ]
mod - tests/feat/featdprism/A9 Diff ] File ]
mod - tests/feat/featdprism/B1 Diff ] File ]
mod - tests/feat/featdprism/B2 Diff ] File ]
mod - tests/feat/featdprism/B3 Diff ] File ]
mod - tests/feat/featdprism/B4 Diff ] File ]
mod - tests/feat/featdprism/B5 Diff ] File ]
mod - tests/feat/featdprism/B6 Diff ] File ]
mod - tests/offset/faces_type_i/M7 Diff ] File ]
mod - tests/offset/faces_type_i/M9 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_005/B5 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_005/E8 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_005/G4 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_005/H3 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_025/A2 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_025/B2 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_025/D1 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_025/E8 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_025/F7 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_025/G4 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_025/H3 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_075/A8 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_075/C7 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_075/E8 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_075/F6 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_075/G4 Diff ] File ]
mod - tests/offset/wire_closed_inside_0_075/H3 Diff ] File ]
mod - tests/offset/wire_closed_outside_0_005/D1 Diff ] File ]
mod - tests/offset/wire_closed_outside_0_005/E8 Diff ] File ]
mod - tests/offset/wire_closed_outside_0_005/G1 Diff ] File ]
mod - tests/offset/wire_closed_outside_0_025/B7 Diff ] File ]
mod - tests/offset/wire_closed_outside_0_025/E8 Diff ] File ]
mod - tests/offset/wire_closed_outside_0_025/F7 Diff ] File ]
mod - tests/offset/wire_closed_outside_0_025/F8 Diff ] File ]
mod - tests/offset/wire_closed_outside_0_075/A2 Diff ] File ]
mod - tests/offset/wire_closed_outside_0_075/B7 Diff ] File ]
mod - tests/offset/wire_closed_outside_0_075/E8 Diff ] File ]
mod - tests/offset/wire_closed_outside_0_075/F7 Diff ] File ]
mod - tests/offset/wire_closed_outside_0_075/H3 Diff ] File ]
mod - tests/offset/wire_unclosed_outside_0_005/A7 Diff ] File ]
mod - tests/offset/wire_unclosed_outside_0_005/B9 Diff ] File ]
mod - tests/offset/wire_unclosed_outside_0_005/C1 Diff ] File ]
mod - tests/offset/wire_unclosed_outside_0_005/C2 Diff ] File ]
mod - tests/offset/wire_unclosed_outside_0_005/C4 Diff ] File ]
mod - tests/offset/wire_unclosed_outside_0_025/A1 Diff ] File ]
mod - tests/offset/wire_unclosed_outside_0_025/A6 Diff ] File ]
mod - tests/offset/wire_unclosed_outside_0_025/A7 Diff ] File ]
mod - tests/offset/wire_unclosed_outside_0_025/B9 Diff ] File ]
mod - tests/offset/wire_unclosed_outside_0_025/C4 Diff ] File ]
mod - tests/offset/wire_unclosed_outside_0_075/A1 Diff ] File ]
mod - tests/offset/wire_unclosed_outside_0_075/A6 Diff ] File ]
mod - tests/offset/wire_unclosed_outside_0_075/A7 Diff ] File ]
mod - tests/offset/wire_unclosed_outside_0_075/A8 Diff ] File ]
mod - tests/offset/wire_unclosed_outside_0_075/A9 Diff ] File ]
mod - tests/offset/wire_unclosed_outside_0_075/C4 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-10-11 12:30 apn New Issue
2013-10-11 12:30 apn Assigned To => mkv
2013-10-11 12:31 apn Assigned To mkv => abv
2013-10-11 12:31 apn Status new => assigned
2013-11-05 13:57 abv Assigned To abv => ifv
2014-01-30 14:08 abv Note Added: 0027704
2014-03-26 09:28 abv Note Added: 0028479
2014-05-28 08:42 abv Note Added: 0029557
2014-05-28 08:42 abv Target Version => 6.8.0
2014-08-13 12:49 abv Note Added: 0030708
2014-10-03 14:37 git Note Added: 0032634
2014-10-03 15:17 git Note Added: 0032644
2014-10-03 15:31 git Note Added: 0032645
2014-10-06 10:27 git Note Added: 0032687
2014-10-06 14:22 git Note Added: 0032708
2014-10-06 14:34 ifv Relationship added related to 0024954
2014-10-06 14:36 ifv Note Added: 0032710
2014-10-06 14:36 ifv Assigned To ifv => mkv
2014-10-06 14:36 ifv Status assigned => resolved
2014-10-06 14:37 ifv Note Added: 0032711
2014-10-06 14:37 ifv Assigned To mkv => bugmaster
2014-10-06 14:37 ifv Status resolved => reviewed
2014-10-06 14:39 ifv Note Edited: 0032634 View Revisions
2014-10-06 14:39 ifv Note Edited: 0032645 View Revisions
2014-10-06 14:40 ifv Note Edited: 0032687 View Revisions
2014-10-06 14:56 mkv Assigned To bugmaster => mkv
2014-10-06 20:48 mkv Note Added: 0032745
2014-10-06 20:48 mkv Assigned To mkv => ifv
2014-10-06 20:48 mkv Status reviewed => assigned
2014-10-06 20:48 mkv Test case number => bugs fclasses(002) bug6143; offset wire_closed_inside_0_005(010) I8; offset wire_closed_inside_0_025(011) I8; offset wire_closed_inside_0_075(012) I8; boolean bsection(015) R3; blend simple(001) P5
2014-10-09 16:23 mkv Note Added: 0032909
2014-10-10 14:24 git Note Added: 0032967
2014-10-10 14:27 ifv Note Added: 0032968
2014-10-10 14:27 ifv Assigned To ifv => mkv
2014-10-10 14:27 ifv Status assigned => resolved
2014-10-10 14:28 ifv Note Added: 0032969
2014-10-10 14:28 ifv Assigned To mkv => bugmaster
2014-10-10 14:28 ifv Status resolved => reviewed
2014-10-13 21:26 git Note Added: 0033046
2014-10-13 21:29 mkv Assigned To bugmaster => mkv
2014-10-15 17:29 mkv Note Added: 0033151
2014-10-15 17:29 mkv Assigned To mkv => ifv
2014-10-15 17:29 mkv Status reviewed => assigned
2014-10-15 17:47 abv Note Added: 0033158
2014-10-29 06:54 abv Target Version 6.8.0 => 7.1.0
2014-11-05 17:09 git Note Added: 0034061
2014-11-05 17:45 ifv Assigned To ifv => mkv
2014-11-05 17:45 ifv Status assigned => resolved
2014-11-05 17:46 ifv Note Added: 0034065
2014-11-05 17:46 ifv Assigned To mkv => bugmaster
2014-11-05 17:46 ifv Status resolved => reviewed
2014-11-05 18:13 mkv Assigned To bugmaster => mkv
2014-11-06 18:10 mkv Note Added: 0034124
2014-11-06 18:10 mkv Assigned To mkv => ifv
2014-11-06 18:10 mkv Status reviewed => assigned
2014-11-06 18:16 mkv Note Edited: 0034124 View Revisions
2014-11-12 11:24 git Note Added: 0034353
2014-11-12 17:42 git Note Added: 0034372
2014-11-12 17:54 ifv Note Added: 0034373
2014-11-12 17:54 ifv Assigned To ifv => mkv
2014-11-12 17:54 ifv Status assigned => resolved
2014-11-12 17:55 ifv Note Added: 0034374
2014-11-12 17:55 ifv Assigned To mkv => bugmaster
2014-11-12 17:55 ifv Status resolved => reviewed
2014-11-12 18:29 mkv Assigned To bugmaster => apv
2014-11-13 11:34 apv Note Added: 0034387
2014-11-13 11:34 apv Assigned To apv => ifv
2014-11-13 11:34 apv Status reviewed => assigned
2014-11-13 14:25 git Note Added: 0034391
2014-11-13 14:31 git Note Added: 0034392
2014-11-13 14:48 git Note Added: 0034394
2014-11-13 14:51 ifv Note Added: 0034395
2014-11-13 14:51 ifv Assigned To ifv => mkv
2014-11-13 14:51 ifv Status assigned => resolved
2014-11-13 14:52 ifv Note Added: 0034396
2014-11-13 14:52 ifv Assigned To mkv => bugmaster
2014-11-13 14:52 ifv Status resolved => reviewed
2014-11-13 15:34 mkv Assigned To bugmaster => apv
2014-11-17 16:02 apv Note Added: 0034457
2014-11-17 16:02 apv Assigned To apv => ifv
2014-11-17 16:02 apv Status reviewed => assigned
2014-11-17 16:09 apv Note Added: 0034458
2014-11-17 16:48 git Note Added: 0034463
2014-11-17 17:00 ifv Note Added: 0034464
2014-11-17 17:00 ifv Assigned To ifv => mkv
2014-11-17 17:00 ifv Status assigned => resolved
2014-11-17 17:02 ifv Note Added: 0034465
2014-11-17 17:02 ifv Assigned To mkv => bugmaster
2014-11-17 17:02 ifv Status resolved => reviewed
2014-11-17 17:50 apv Assigned To bugmaster => apv
2014-11-19 18:45 git Note Added: 0034516
2014-11-19 18:47 ifv Status reviewed => feedback
2014-11-19 18:48 ifv Note Added: 0034517
2014-11-19 18:48 ifv Assigned To apv => mkv
2014-11-19 18:48 ifv Status feedback => resolved
2014-11-19 18:49 ifv Note Added: 0034518
2014-11-19 18:49 ifv Assigned To mkv => bugmaster
2014-11-19 18:49 ifv Status resolved => reviewed
2014-11-20 11:05 apv Assigned To bugmaster => apv
2014-11-20 16:06 apv Note Added: 0034559
2014-11-20 16:06 apv Assigned To apv => ifv
2014-11-20 16:06 apv Status reviewed => assigned
2014-11-20 16:14 ifv Note Added: 0034560
2014-11-20 16:14 ifv Assigned To ifv => apv
2014-11-20 16:14 ifv Status assigned => resolved
2014-11-20 17:31 git Note Added: 0034564
2014-11-20 17:32 apv Status resolved => feedback
2014-11-20 17:33 apv Note Added: 0034565
2014-11-20 17:33 apv Assigned To apv => bugmaster
2014-11-20 17:33 apv Status feedback => tested
2014-11-24 14:14 ifv File Added: tests.7z
2014-11-24 14:21 ifv Note Added: 0034633
2014-11-24 14:21 ifv Assigned To bugmaster => apv
2014-11-24 14:21 ifv Status tested => feedback
2014-11-25 16:14 git Note Added: 0034669
2014-11-25 16:19 apv Note Added: 0034673
2014-11-25 16:19 apv Assigned To apv => bugmaster
2014-11-25 16:19 apv Status feedback => tested
2014-12-12 18:26 git Note Added: 0035378
2014-12-15 11:54 apv Assigned To bugmaster => apv
2014-12-15 11:54 apv Status tested => feedback
2014-12-15 12:08 abv Note Added: 0035402
2014-12-15 14:54 ifv Additional Information Updated View Revisions
2014-12-17 12:12 apv Assigned To apv => ifv
2014-12-17 12:14 apv Note Added: 0035445
2014-12-18 12:58 git Note Added: 0035474
2014-12-18 12:59 aml Note Added: 0035475
2014-12-18 13:00 aml Assigned To ifv => apv
2014-12-18 18:56 git Note Added: 0035492
2014-12-19 18:19 apv Note Added: 0035534
2014-12-19 18:19 apv Assigned To apv => ifv
2014-12-19 18:19 apv Status feedback => assigned
2014-12-26 11:38 git Note Added: 0035746
2014-12-26 14:18 git Note Added: 0035757
2015-01-20 12:27 git Note Added: 0036245
2015-01-20 12:38 ifv Note Added: 0036246
2015-01-20 12:38 ifv Assigned To ifv => jgv
2015-01-20 12:38 ifv Status assigned => resolved
2015-01-20 12:38 ifv Steps to Reproduce Updated View Revisions
2015-01-20 13:02 jgv Note Added: 0036253
2015-01-20 13:02 jgv Assigned To jgv => bugmaster
2015-01-20 13:02 jgv Status resolved => reviewed
2015-01-21 20:24 git Note Added: 0036352
2015-01-21 20:24 apn Assigned To bugmaster => apn
2015-01-26 15:52 apn Note Added: 0036651
2015-01-26 15:54 apn Test case number bugs fclasses(002) bug6143; offset wire_closed_inside_0_005(010) I8; offset wire_closed_inside_0_025(011) I8; offset wire_closed_inside_0_075(012) I8; boolean bsection(015) R3; blend simple(001) P5 => bugs fclasses bug6143; offset wire_closed_inside_0_005 I8; offset wire_closed_inside_0_025 I8; offset wire_closed_inside_0_075 I8; boolean bsection R3; blend simple P5
2015-01-26 15:54 apn Assigned To apn => ifv
2015-01-26 15:54 apn Status reviewed => assigned
2015-02-09 18:52 git Note Added: 0037251
2015-02-09 18:55 ifv Assigned To ifv => apn
2015-02-09 18:55 ifv Status assigned => resolved
2015-02-09 18:56 ifv Note Added: 0037252
2015-02-09 18:56 ifv Assigned To apn => bugmaster
2015-02-09 18:56 ifv Status resolved => reviewed
2015-02-09 19:38 mkv Assigned To bugmaster => apv
2015-02-10 08:46 abv Relationship added related to 0024898
2015-02-10 09:08 abv Summary Regressions in test cases on OCCT vc9 win64 Release => Failure of some test cases on OCCT vc9 win64 Release
2015-02-11 13:45 apv Note Added: 0037351
2015-02-11 13:45 apv Assigned To apv => ifv
2015-02-11 13:45 apv Status reviewed => assigned
2015-02-12 13:50 aml Note Added: 0037432
2015-02-12 13:50 aml Assigned To ifv => apv
2015-02-12 13:50 aml Status assigned => feedback
2015-02-12 13:58 abv Note Added: 0037433
2015-02-12 14:25 git Note Added: 0037436
2015-02-12 14:27 apv Assigned To apv => bugmaster
2015-02-12 14:27 apv Status feedback => tested
2015-02-13 08:57 abv Note Added: 0037471
2015-02-13 17:55 bugmaster Changeset attached => occt master 873c119f
2015-02-13 17:55 bugmaster Status tested => verified
2015-02-13 17:55 bugmaster Resolution open => fixed
2015-03-10 12:59 bugmaster Target Version 7.1.0 => 6.9.0
2015-03-18 13:31 git Note Added: 0038479
2015-03-18 13:31 git Note Added: 0038480
2015-03-18 13:31 git Note Added: 0038481
2015-03-18 13:31 git Note Added: 0038482
2015-03-18 13:31 git Note Added: 0038483
2015-03-18 13:31 git Note Added: 0038484
2015-03-18 13:32 git Note Added: 0038485
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker